package main

import (
	"image"
	"testing"
)

func TestMain(t *testing.T) {
	img1 := loadImage("assets/moutons.jpg")
	img2 := loadImage("assets/lavande.jpg")
	dimensions := dimensionsToRectangle(800, 600)
	outImg := image.NewRGBA(dimensions)

	var pool blendWorkerPool

	pool.InitWorkerPool()

	pool.BlendImages(img1, img2, outImg)

	encodeImage(outImg)
}
